%global srcname walkdir

Name:           python-%{srcname}
Version:        0.4.1
Release:        7%{?dist}
Summary:        Python module to manipulate and filter os.walk() style iteration

Group:          Development/Languages
License:        BSD
URL:            http://walkdir.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
walkdir is a simple set of iterator tools intended to
make it easy to manipulate and filter the output of os.walk()
in a way that is also easily applicable to any source iterator
that produces data in the same format


%package -n python2-%{srcname}
Summary:  %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
walkdir is a simple set of iterator tools intended to
make it easy to manipulate and filter the output of os.walk()
in a way that is also easily applicable to any source iterator
that produces data in the same format


%package -n python3-%{srcname}
Summary:  %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
walkdir is a simple set of iterator tools intended to
make it easy to manipulate and filter the output of os.walk()
in a way that is also easily applicable to any source iterator
that produces data in the same format


%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py2_install
%py3_install



%files -n python2-%{srcname}
%license LICENSE.txt
%{python2_sitelib}/%{srcname}.py*
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/


%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/__pycache__/%{srcname}.cpython-%{python3_version_nodots}.*
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-6
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-2
- Rebuild for Python 3.6

* Mon Aug 08 2016 Dominika Krejci <dkrejci@redhat.com> - 0.4.1-1
- Update to 0.4.1
- Add Python3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 09 2012 Kushal Das <kushal@fedoraproject.org> 0.3-1
- Initial release

